import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl } from 'model-util';
import { BusCarPart } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-29 16:33
 */
interface BusCarPartCU extends ConditionUtil<BusCarPartCU> {
    ID: FieldUtil<BusCarPartCU>;
    CAR_PLATE_NUM: FieldUtil<BusCarPartCU>;
    LOT_ID: FieldUtil<BusCarPartCU>;
    OUT_CAR_IMAGE: FieldUtil<BusCarPartCU>;
    IN_CAR_IMAGE: FieldUtil<BusCarPartCU>;
    CAR_IMAGE: FieldUtil<BusCarPartCU>;
    COME_TIME: FieldUtil<BusCarPartCU>;
    OUT_TIME: FieldUtil<BusCarPartCU>;
    ELAPSED_TIME: FieldUtil<BusCarPartCU>;
    IS_CORRECT: FieldUtil<BusCarPartCU>;
    CREATE_TIME: FieldUtil<BusCarPartCU>;
    UPDATE_TIME: FieldUtil<BusCarPartCU>;
    CAR_PLATE_NUM_SUFFIX: FieldUtil<BusCarPartCU>;
    IN_NODE: FieldUtil<BusCarPartCU>;
    IN_IS_AREA: FieldUtil<BusCarPartCU>;
    IN_CAMERA_ID: FieldUtil<BusCarPartCU>;
    CLIENT_ID: FieldUtil<BusCarPartCU>;
    PLATE_COLOR: FieldUtil<BusCarPartCU>;
    IS_FIXED_CAR: FieldUtil<BusCarPartCU>;
    MODIFY_LPN: FieldUtil<BusCarPartCU>;
    IN_RECOGNITIONCREDIBILITY: FieldUtil<BusCarPartCU>;
    OUT_NODE: FieldUtil<BusCarPartCU>;
    OUT_IS_AREA: FieldUtil<BusCarPartCU>;
    PAY_TYPE: FieldUtil<BusCarPartCU>;
    TOTAL_FEE: FieldUtil<BusCarPartCU>;
    TOTAL_MONEY: FieldUtil<BusCarPartCU>;
    OUT_RECOGNITIONCREDIBILITY: FieldUtil<BusCarPartCU>;
    IN_LPN_TYPE: FieldUtil<BusCarPartCU>;
    OUT_LPN_TYPE: FieldUtil<BusCarPartCU>;
    REMARK: FieldUtil<BusCarPartCU>;
    IN_REASON: FieldUtil<BusCarPartCU>;
    OUT_REASON: FieldUtil<BusCarPartCU>;
    IN_PICTURE: FieldUtil<BusCarPartCU>;
    OUT_PICTURE: FieldUtil<BusCarPartCU>;
    PARAM1: FieldUtil<BusCarPartCU>;
    PARAM2: FieldUtil<BusCarPartCU>;
    PARAM3: FieldUtil<BusCarPartCU>;
    PARAM4: FieldUtil<BusCarPartCU>;
    FREE_TIME: FieldUtil<BusCarPartCU>;
    FREE_MONEY: FieldUtil<BusCarPartCU>;
    COME_ATTRIBUTES: FieldUtil<BusCarPartCU>;
    OUT_ATTRIBUTES: FieldUtil<BusCarPartCU>;
    OUT_CAMERA_ID: FieldUtil<BusCarPartCU>;
}
declare class BusCarPartMU extends TableUtilImpl<BusCarPartCU, BusCarPart> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: any;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusCarPartCU;
    static get ID(): FieldUtil<BusCarPartCU>;
    static get CAR_PLATE_NUM(): FieldUtil<BusCarPartCU>;
    static get LOT_ID(): FieldUtil<BusCarPartCU>;
    static get OUT_CAR_IMAGE(): FieldUtil<BusCarPartCU>;
    static get IN_CAR_IMAGE(): FieldUtil<BusCarPartCU>;
    static get CAR_IMAGE(): FieldUtil<BusCarPartCU>;
    static get COME_TIME(): FieldUtil<BusCarPartCU>;
    static get OUT_TIME(): FieldUtil<BusCarPartCU>;
    static get ELAPSED_TIME(): FieldUtil<BusCarPartCU>;
    static get IS_CORRECT(): FieldUtil<BusCarPartCU>;
    static get CREATE_TIME(): FieldUtil<BusCarPartCU>;
    static get UPDATE_TIME(): FieldUtil<BusCarPartCU>;
    static get CAR_PLATE_NUM_SUFFIX(): FieldUtil<BusCarPartCU>;
    static get IN_NODE(): FieldUtil<BusCarPartCU>;
    static get IN_IS_AREA(): FieldUtil<BusCarPartCU>;
    static get IN_CAMERA_ID(): FieldUtil<BusCarPartCU>;
    static get CLIENT_ID(): FieldUtil<BusCarPartCU>;
    static get PLATE_COLOR(): FieldUtil<BusCarPartCU>;
    static get IS_FIXED_CAR(): FieldUtil<BusCarPartCU>;
    static get MODIFY_LPN(): FieldUtil<BusCarPartCU>;
    static get IN_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>;
    static get OUT_NODE(): FieldUtil<BusCarPartCU>;
    static get OUT_IS_AREA(): FieldUtil<BusCarPartCU>;
    static get PAY_TYPE(): FieldUtil<BusCarPartCU>;
    static get TOTAL_FEE(): FieldUtil<BusCarPartCU>;
    static get TOTAL_MONEY(): FieldUtil<BusCarPartCU>;
    static get OUT_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>;
    static get IN_LPN_TYPE(): FieldUtil<BusCarPartCU>;
    static get OUT_LPN_TYPE(): FieldUtil<BusCarPartCU>;
    static get REMARK(): FieldUtil<BusCarPartCU>;
    static get IN_REASON(): FieldUtil<BusCarPartCU>;
    static get OUT_REASON(): FieldUtil<BusCarPartCU>;
    static get IN_PICTURE(): FieldUtil<BusCarPartCU>;
    static get OUT_PICTURE(): FieldUtil<BusCarPartCU>;
    static get PARAM1(): FieldUtil<BusCarPartCU>;
    static get PARAM2(): FieldUtil<BusCarPartCU>;
    static get PARAM3(): FieldUtil<BusCarPartCU>;
    static get PARAM4(): FieldUtil<BusCarPartCU>;
    static get FREE_TIME(): FieldUtil<BusCarPartCU>;
    static get FREE_MONEY(): FieldUtil<BusCarPartCU>;
    static get COME_ATTRIBUTES(): FieldUtil<BusCarPartCU>;
    static get OUT_ATTRIBUTES(): FieldUtil<BusCarPartCU>;
    static get OUT_CAMERA_ID(): FieldUtil<BusCarPartCU>;
    static get LOT_NAME(): FieldInfo;
    get ID(): FieldUtil<BusCarPartCU>;
    get CAR_PLATE_NUM(): FieldUtil<BusCarPartCU>;
    get LOT_ID(): FieldUtil<BusCarPartCU>;
    get OUT_CAR_IMAGE(): FieldUtil<BusCarPartCU>;
    get IN_CAR_IMAGE(): FieldUtil<BusCarPartCU>;
    get CAR_IMAGE(): FieldUtil<BusCarPartCU>;
    get COME_TIME(): FieldUtil<BusCarPartCU>;
    get OUT_TIME(): FieldUtil<BusCarPartCU>;
    get ELAPSED_TIME(): FieldUtil<BusCarPartCU>;
    get IS_CORRECT(): FieldUtil<BusCarPartCU>;
    get CREATE_TIME(): FieldUtil<BusCarPartCU>;
    get UPDATE_TIME(): FieldUtil<BusCarPartCU>;
    get CAR_PLATE_NUM_SUFFIX(): FieldUtil<BusCarPartCU>;
    get IN_NODE(): FieldUtil<BusCarPartCU>;
    get IN_IS_AREA(): FieldUtil<BusCarPartCU>;
    get IN_CAMERA_ID(): FieldUtil<BusCarPartCU>;
    get CLIENT_ID(): FieldUtil<BusCarPartCU>;
    get PLATE_COLOR(): FieldUtil<BusCarPartCU>;
    get IS_FIXED_CAR(): FieldUtil<BusCarPartCU>;
    get MODIFY_LPN(): FieldUtil<BusCarPartCU>;
    get IN_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>;
    get OUT_NODE(): FieldUtil<BusCarPartCU>;
    get OUT_IS_AREA(): FieldUtil<BusCarPartCU>;
    get PAY_TYPE(): FieldUtil<BusCarPartCU>;
    get TOTAL_FEE(): FieldUtil<BusCarPartCU>;
    get TOTAL_MONEY(): FieldUtil<BusCarPartCU>;
    get OUT_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>;
    get IN_LPN_TYPE(): FieldUtil<BusCarPartCU>;
    get OUT_LPN_TYPE(): FieldUtil<BusCarPartCU>;
    get REMARK(): FieldUtil<BusCarPartCU>;
    get IN_REASON(): FieldUtil<BusCarPartCU>;
    get OUT_REASON(): FieldUtil<BusCarPartCU>;
    get IN_PICTURE(): FieldUtil<BusCarPartCU>;
    get OUT_PICTURE(): FieldUtil<BusCarPartCU>;
    get PARAM1(): FieldUtil<BusCarPartCU>;
    get PARAM2(): FieldUtil<BusCarPartCU>;
    get PARAM3(): FieldUtil<BusCarPartCU>;
    get PARAM4(): FieldUtil<BusCarPartCU>;
    get FREE_TIME(): FieldUtil<BusCarPartCU>;
    get FREE_MONEY(): FieldUtil<BusCarPartCU>;
    get COME_ATTRIBUTES(): FieldUtil<BusCarPartCU>;
    get OUT_ATTRIBUTES(): FieldUtil<BusCarPartCU>;
    get OUT_CAMERA_ID(): FieldUtil<BusCarPartCU>;
    get LOT_NAME(): FieldInfo;
}
export { BusCarPartMU, BusCarPartCU };
